Package org.eclipse.ecf.remoteservice

# Class RemoteCallFactory

java.lang.Object
org.eclipse.ecf.remoteservice.RemoteCallFactory

public class RemoteCallFactory extends Object
Factory to support the creation of `IRemoteCall` objects.

Since:
  5.0

## Constructor Summary

Constructors
Constructor
Description
`RemoteCallFactory()`

## Method Summary

Modifier and Type
Method
Description
`static IRemoteCall`
`createRemoteCall(String fqMethod)`
`static IRemoteCall`
`createRemoteCall(String fqMethod, Object[] params)`
`static IRemoteCall`
`createRemoteCall(String fqMethod, Object[] params, long timeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RemoteCallFactory

public RemoteCallFactory()

## Method Details

### createRemoteCall

public static IRemoteCall createRemoteCall(String fqMethod, Object[] params, long timeout)

### createRemoteCall

public static IRemoteCall createRemoteCall(String fqMethod, Object[] params)

### createRemoteCall

public static IRemoteCall createRemoteCall(String fqMethod)